/* *******************************************************************
   Webserver

   display Variables

   page   30.htm         includes the f.css in the header

   ***************************************************************** */

void server30Setup() {
  server.on("/30.htm", handlePage30);         // another page, another handle
}

// some user variables
int anInteger = 123;
float aFloat = 12.34;
String aString = "abcd";

// this function simulates changing values in some variables
void example30Loop() {
  static uint32_t previousMillis = 0;
  uint32_t currentMillis = millis();
  if (currentMillis - previousMillis > 1000) {
    previousMillis = currentMillis;
    anInteger = random(0, 1000);
    aFloat = random(0, 1000) / 100.0;
  }
}

// a more advanced page with na
// *** Variables ***  1.htm
void handlePage30() {
  String message;
  String reserve(5000);                // maximum size of page

  message =  F("<!DOCTYPE html>\n"
               "<html lang=\"en\">\n"  // english or any other language code you using for your page content
               "<head>\n"
               "<title>" TXT_BOARDNAME " - Board " );
  message += USE_BOARD;
  message += F("</title>\n"
               "<meta http-equiv=\"content-type\" content=\"text/html; charset=utf-8\">\n"
               "<meta name=\"viewport\" content=\"width=device-width\">\n"
               "<link rel=\"stylesheet\" type=\"text/css\" href=\"f.css\">\n" // defined in server20
               "</head>\n");
  message += F("<body>\n");
  message += F("<header>\n<h1>" TXT_BOARDNAME " - Board " );
  message += USE_BOARD;
  message += F("</h1>\n");
  message += htmlNavigation;           // just some fixt text with a navigation bar, defined in server20
  message += F("</header>\n"
               "<main>\n");

  // print whatever you need on the web page:
  message += F("<article>\n"
               "<h2>Values</h2>\n"
               "<p>The integer variable is currently: ");
  message += anInteger;
  message += F("</p>\n");
  message += F("<p>The float variable is currently: ");
  message += aFloat;
  message += F("</p>\n");
  message += F("</article>\n");

  message += F("<article>\n"
               "<h2>Another Topic</h2>\n"
               "<p>The String object doesn't update currently: ");
  message += aString;
  message += F("</p>\n");
  message += F("</article>\n");

  message += F("</main>\n"); // end of content
  // a footer line
  message += F("<footer>\n"
               "<p>Running since:");
  message += millis() / 1000;
  message += F(" seconds<p>\n"
               "</footer>\n");
  message += F("</body>\n"
               "</html>\n");

  server.send(200, "text/html", message);
}
//
