/* *******************************************************************
   Webserver

   a form to transmit user data from the browser to the ESP

   page   40.htm         only data forms

   ***************************************************************** */

void server40Setup() {
  server.on("/40.htm", handlePage40);         // input fields
}

// global variables for this example
int myInteger = 42;
String myString = "Foo";

// *** Form ***  40.htm
// two simple input fields
void handlePage40() {
  String message;
  String reserve(5000);                  // maximum size of page

  // if the browser has sent data store it in the variables
  if (server.hasArg("myString"))  myString = server.arg("myString");
  if (server.hasArg("myInteger")) {
    char buffer[64];
    server.arg("myInteger").toCharArray(buffer, sizeof(buffer));
    myInteger = atoi(buffer);          // convert the incoming String to an integer
  }

  message =  F("<!DOCTYPE html>\n"
               "<html lang='en'>\n"    // english or any other language code you using for your page content
               "<head>\n"
               "<title>" TXT_BOARDNAME " - Board " );
  message += USE_BOARD;
  message += F("</title>\n"
               "<meta http-equiv='content-type' content='text/html; charset=utf-8'>\n"
               "<meta name='viewport' content='width=device-width'>\n"
               "<link rel='stylesheet' type='text/css' href='f.css'>\n" // defined in server20
               "</head>\n");
  message += F("<body>\n");
  message += F("<header>\n<h1>" TXT_BOARDNAME " - Board " );
  message += USE_BOARD;
  message += F("</h1>\n");
  message += htmlNavigation; // just some fixt text with a navigation bar, defined in server20
  message += F("</header>\n"
               "<main>\n");

  // print whatever you need on the web page:
  message += F("<article>\n"
               "<h2>Entry Form</h2>\n"
               "<form method='post' action='40.htm' name='firstForm'>\n");        // we let send the form to this page

  message += F("<label for='myInteger'>An integer Variable</label><br>\n"         // a label for the integer field
               "<input type='text' name='myInteger' id='myInteger' value='");     // the name will be transmitted in the parameter, the id is needed for the label
  message += myInteger;                                                           // the current value as default value for the form
  message += F( "'><br>\n");                                                      // close label tag

  message += F("<label for='myString'>A String Object</label><br>\n"
               "<input type='text' name='myString' id='myString' value='");
  message += myString;
  message += F( "'><br>\n");

  message += F("<input type='submit' value='Submit'>\n"    // a submit/send button
               "</form>\n");                               // end of the form

  message += F("</article>\n");
  message += F("</main>\n");
  message += F("<footer>\n"
               "<p>Running since:");
  message += millis() / 1000;
  message += F(" seconds<p>\n"
               "</footer>\n");
  message += F("</html>\n");
  server.send(200, "text/html", message);
}
//
