/* *******************************************************************
   Webserver

   Start/Stop an action

   page   55.htm         buttons to start/stop actions or other functions

   ***************************************************************** */

void server55Setup() {
  server.on("/55.htm", handlePage55);           // Buttons to start/stop actions
}

// global variable for this example
bool isActionRunning = false;

// two simple functions for this example
void actionStart() {
  Serial.println(F("START: this is just a simple demo"));
  isActionRunning = true;
}

void actionStop() {
  Serial.println(F("STOP: this is just a simple demo"));
  isActionRunning = false;
}

// *** Action Buttons ***  60.htm
// Start or stop an action --> call a function
void handlePage55() {
  String message;
  String reserve(5000);                 // maximum size of page

  // if the browser has send commands to change pins
  if (server.hasArg("action"))  {
    if (server.arg("action") == "start") actionStart();
    else if (server.arg("action") == "stop") actionStop();
  }

  message =  F("<!DOCTYPE html>\n"
               "<html lang='en'>\n"   // english or any other language code you using for your page content
               "<head>\n"
               "<title>" TXT_BOARDNAME " - Board ");
  message += USE_BOARD;
  message += F("</title>\n"
               "<meta http-equiv='content-type' content='text/html; charset=utf-8'>\n"
               "<meta name='viewport' content='width=device-width'>\n"
               "<link rel='stylesheet' type='text/css' href='f.css'>\n" // defined in server20
               "</head>\n");
  message += F("<body>\n");
  message += F("<header>\n<h1>" TXT_BOARDNAME " - Board ");
  message += USE_BOARD;
  message += F("</h1>\n");
  message += htmlNavigation; // just some fixt text with a navigation bar, defined in server20
  message += F("</header>\n"
               "<main>\n");

  // print whatever you need on the web page:
  message += F("<article>\n"
               "<h2>Example: Form to Start or Stop an Action</h2>\n"
               "<form method='post' action='55.htm' name='pinForm'>\n");  // we let send the form to this page

  message += F("<p>Action: <input type='submit' name='action' value='start'> <input type='submit' name='action' value='stop'> is currently ");
  isActionRunning ? message += F("running") : message += F("stopped");
  message += F("</p>\n");

  message += F("</form>\n");                             // end of the form
  message += F("</article>\n");
  message += F("</main>\n");
  message += F("<footer>\n"
               "<p>Running since:");
  message += millis() / 1000;
  message += F(" seconds<p>\n"
               "</footer>\n");
  message += F("</html>\n");
  server.send(200, "text/html", message);
}
//
